#!/bin/sh
#
# TTechGroup discovery protocol server ver 1.0
# Author: Assen Stoyanov <softa@ttechgroup.com>

# Get the configuration information

# DEVICE_UID
# FIRMWARE_BUS
# FIRMWARE_EIB
# FIRMWARE_TP
if [ -f /etc/tp-device.conf ] ; then
    . /etc/tp-device.conf
fi

# PRODUCT_NAME
# PRODUCT_SERIAL
if [ -f /etc/tp-product.conf ] ; then
    . /etc/tp-product.conf
fi

# LICENSE_CODE
# LICENSE_CONSUMER
# LICENSE_EXP
if [ -f /etc/tp-license.conf ] ; then               
    . /etc/tp-license.conf 
fi

# PROJECT_NAME
# PROJECT_UUID
# PROJECT_VER
# PROJECT_DATE
if [ -f /tmp/Project_1/content.app ] ; then
    . /tmp/Project_1/content.app
fi

echo "# [TTDISC_RESPONSE]"
echo "DEVICE_UID=\"${DEVICE_UID}\""
echo "FIRMWARE_BUS=\"${FIRMWARE_BUS}\""
echo "FIRMWARE_EIB=\"${FIRMWARE_EIB}\""
echo "FIRMWARE_TP=\"${FIRMWARE_TP}\""
echo "PRODUCT_NAME=\"${PRODUCT_NAME}\""
echo "PRODUCT_SERIAL=\"${PRODUCT_SERIAL}\""
echo "LICENSE_CONSUMER=\"${LICENSE_CONSUMER}\""
echo "PROJECT_UUID=\"${PROJECT_UUID}\""
echo "PROJECT_VER=\"${PROJECT_VER}\""
echo "PROJECT_DATE=\"${PROJECT_DATE}\""
